Bug 845421 - cu: ttyS?: Line in use
cu: ttyS?: Line in use
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 00:02 EDT by Doug Maxey
Modified: 2013-01-09 20:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 20:38:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2012-08-03 00:02:01 EDT
Description of problem:

Cannot connect to any serial port with cu/minicom.

Version-Release number of selected component (if applicable):
# uname -vr
3.5.0-2.fc17.x86_64 #1 SMP Mon Jul 30 14:48:59 UTC 2012

This was *not* working with the 3.4.x kernel either.

How reproducible:
100%

Steps to Reproduce:
1. login as root
2. attempt access to serial port
3.
  
Actual results:

cu: ttyS1: Line in use

Expected results:

connection should be made.

Additional info:

This is happening on 2 of three boxes attempting to connect out to another system.  A third works ok coming inbound from a ubuntu box, but have nothing to connect to test on the third.

The old, tired saw - this was working in earlier versions.

Not working hw:
system 1
04:00.0 Serial controller: NetMos Technology PCI 9835 Multi-I/O Controller (rev 01)
# grep 550 /proc/tty/driver/*
/proc/tty/driver/serial:0: uart:16550A port:0000AF00 irq:21 tx:0 rx:0
/proc/tty/driver/serial:1: uart:16550A port:0000AE00 irq:21 tx:0 rx:0

system 2
03:00.0 Serial controller: NetMos Technology PCI 9835 Multi-I/O Controller (rev 01)
# grep 550 /proc/tty/driver/*
/proc/tty/driver/serial:0: uart:16550A port:000003F8 irq:4 tx:0 rx:0
/proc/tty/driver/serial:1: uart:16550A port:0000BC00 irq:16 tx:0 rx:0
/proc/tty/driver/serial:2: uart:16550A port:0000B880 irq:16 tx:0 rx:0

The inbound working hw:
system 3
01:06.0 Serial controller: NetMos Technology PCI 9835 Multi-I/O Controller (rev 01)

# grep 550 /proc/tty/driver/*
/proc/tty/driver/serial:0: uart:16550A port:0000D880 irq:16 tx:13718 rx:163 RTS|CTS|DTR|DSR|CD
/proc/tty/driver/serial:1: uart:16550A port:0000D800 irq:16 tx:0 rx:0

Am I overlooking something obvious?
Comment 1 Josh Boyer 2013-01-08 10:35:23 EST
Are you still having this issue with the 3.6.10 or newer kernels?
Comment 2 Doug Maxey 2013-01-09 20:38:10 EST
Hmm. This does seem to have healed itself.

Note You need to log in before you can comment on or make changes to this bug.